NEF.X(1)

NAME
nef.x, nef-<num>d.x - compute Hodge numbers of nef-partitions

SYNOPSIS
nef.x <Options>

DESCRIPTION
The nef-<num>d.x variant programs, where <num> is one of 4, 5, 6 and 11 work in different dimensions ; nef.x defaults to dimension 6.

  Options

-h  prints this information

-f or -
    use as filter; otherwise parameters denote I/O files

-N  input is in N-lattice (default is M)

-H  gives full list of Hodge numbers

-Lv prints L vector of Vertices (in N-lattice)

-Lp prints L vector of Points (in N-lattice)

-p  prints only partitions, no Hodge numbers

-D  calculates also direct products

-P  calculates also projections

-t  full time info

-cCODIM
    codimension (default = 2)

-Fcodim
    fibrations up to codim (default = 2)

-y  prints poly/CWS in M lattice if it has nef-partitions

-S  information about #points calculated in S-Poly

-T  checks Serre-duality

-s  don't remove symmetric nef-partitions

-n  prints polytope only if it has nef-partitions

-v  prints vertices and #points of input polytope in one line; with -u, -l the output is limited by #points:

-uPOINTS
    ... upper limit of #points (default = POINT_Nmax)

-lPOINTS
    ... lower limit of #points (default = 0)

-m  starts with [d w1 w2 ... wk d=d_1 d_2 (Minkowski sum)

-R  prints vertices of input if not reflexive

-V  prints vertices of N-lattice polytope

-Q  only direct products (up to lattice Quotient)

-gNUMBER
    prints points of Gorenstein polytope in N-lattice

-dNUMBER
    prints points of Gorenstein polytope in M-lattice

if NUMBER = 0 ... no
    0/1 info

if NUMBER = 1 ... no redundant
    0/1 info (=default)

if NUMBER = 2 ... full
    0/1 info

-G  Gorenstein cone: input <-> support polytope

SEE ALSO
A complete manual is available here : http://arxiv.org/abs/1205.4147